curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/orders/{order_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shopifyOrderId": "string",
"orderNumber": "ORD-10042",
"status": "pending",
"lineItems": [
{
"title": "Replacement tent pole set",
"quantity": 2,
"price": 49,
"sku": "SKU-TENT-2P-GRN",
"variantId": "string",
"shopifyLineItemId": "string"
}
],
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z",
"tags": [
"priority"
],
"locationId": "string",
"netsuiteId": "string",
"netsuiteTranId": "string",
"netsuiteSyncedAt": "2026-08-31T14:22:05Z",
"netsuiteLastError": "string",
"netsuiteLastAttemptAt": "2026-08-31T14:22:05Z",
"fulfillmentStatus": "string",
"tracking": {
"trackingNumber": "1Z999AA10123456784",
"carrier": "UPS",
"trackingUrl": "string",
"estimatedDelivery": "string"
},
"dclSubmittedAt": "2026-08-31T14:22:05Z",
"dclLastError": "string",
"dclLastAttemptAt": "2026-08-31T14:22:05Z",
"dclLocation": "string",
"luminousOrderId": "string",
"luminousSyncedAt": "2026-08-31T14:22:05Z",
"luminousLastError": "string",
"luminousLastAttemptAt": "2026-08-31T14:22:05Z",
"capacitySubmittedAt": "2026-08-31T14:22:05Z",
"capacityLastError": "San Francisco",
"capacityLastAttemptAt": "2026-08-31T14:22:05Z",
"latestMovement": {
"eventType": "string",
"stage": "string",
"source": "string",
"status": "pending",
"summary": "Two-person tent, green — replacement for damaged pole set.",
"occurredAt": "2026-08-31T14:22:05Z"
}
}
Get a single order by ID
Order details
GET
/
v1
/
tenants
/
{tenant_id}
/
orders
/
{order_id}
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/orders/{order_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shopifyOrderId": "string",
"orderNumber": "ORD-10042",
"status": "pending",
"lineItems": [
{
"title": "Replacement tent pole set",
"quantity": 2,
"price": 49,
"sku": "SKU-TENT-2P-GRN",
"variantId": "string",
"shopifyLineItemId": "string"
}
],
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z",
"tags": [
"priority"
],
"locationId": "string",
"netsuiteId": "string",
"netsuiteTranId": "string",
"netsuiteSyncedAt": "2026-08-31T14:22:05Z",
"netsuiteLastError": "string",
"netsuiteLastAttemptAt": "2026-08-31T14:22:05Z",
"fulfillmentStatus": "string",
"tracking": {
"trackingNumber": "1Z999AA10123456784",
"carrier": "UPS",
"trackingUrl": "string",
"estimatedDelivery": "string"
},
"dclSubmittedAt": "2026-08-31T14:22:05Z",
"dclLastError": "string",
"dclLastAttemptAt": "2026-08-31T14:22:05Z",
"dclLocation": "string",
"luminousOrderId": "string",
"luminousSyncedAt": "2026-08-31T14:22:05Z",
"luminousLastError": "string",
"luminousLastAttemptAt": "2026-08-31T14:22:05Z",
"capacitySubmittedAt": "2026-08-31T14:22:05Z",
"capacityLastError": "San Francisco",
"capacityLastAttemptAt": "2026-08-31T14:22:05Z",
"latestMovement": {
"eventType": "string",
"stage": "string",
"source": "string",
"status": "pending",
"summary": "Two-person tent, green — replacement for damaged pole set.",
"occurredAt": "2026-08-31T14:22:05Z"
}
}
Path parameters
Response
object
Summary of the latest movement event for an order
Status codes
| Code | Meaning |
|---|---|
200 | Order details |
401 | Unauthorized |
404 | Order not found |
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/orders/{order_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shopifyOrderId": "string",
"orderNumber": "ORD-10042",
"status": "pending",
"lineItems": [
{
"title": "Replacement tent pole set",
"quantity": 2,
"price": 49,
"sku": "SKU-TENT-2P-GRN",
"variantId": "string",
"shopifyLineItemId": "string"
}
],
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z",
"tags": [
"priority"
],
"locationId": "string",
"netsuiteId": "string",
"netsuiteTranId": "string",
"netsuiteSyncedAt": "2026-08-31T14:22:05Z",
"netsuiteLastError": "string",
"netsuiteLastAttemptAt": "2026-08-31T14:22:05Z",
"fulfillmentStatus": "string",
"tracking": {
"trackingNumber": "1Z999AA10123456784",
"carrier": "UPS",
"trackingUrl": "string",
"estimatedDelivery": "string"
},
"dclSubmittedAt": "2026-08-31T14:22:05Z",
"dclLastError": "string",
"dclLastAttemptAt": "2026-08-31T14:22:05Z",
"dclLocation": "string",
"luminousOrderId": "string",
"luminousSyncedAt": "2026-08-31T14:22:05Z",
"luminousLastError": "string",
"luminousLastAttemptAt": "2026-08-31T14:22:05Z",
"capacitySubmittedAt": "2026-08-31T14:22:05Z",
"capacityLastError": "San Francisco",
"capacityLastAttemptAt": "2026-08-31T14:22:05Z",
"latestMovement": {
"eventType": "string",
"stage": "string",
"source": "string",
"status": "pending",
"summary": "Two-person tent, green — replacement for damaged pole set.",
"occurredAt": "2026-08-31T14:22:05Z"
}
}
Last modified on August 31, 2026